///--------------------------------------------------------------------------------------
// Simple.h
//
// By: Tony Myles
//
// Copyright  1993 Tony Myles, All rights reserved worldwide.
///--------------------------------------------------------------------------------------


#ifndef __SIMPLE__
#define __SIMPLE__

#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

void	CreateWindow(void);
void	SetUpSpriteWorld(void);
void	CreateBallSprite(void);
void	AddSprites(void);
void	RunAnimation(void);
void	CleanUp(void);
void	MyCleanUpFunction( void );

SW_FUNC void	BallSpriteMoveProc(SpritePtr ballSpriteP);

SW_FUNC void ShadowSpriteDrawProc(FramePtr srcFrameP, FramePtr dstFrameP, Rect*
srcRect, Rect* dstRect);

#ifdef __cplusplus
}
#endif


#endif /* __APPLICATION__ */