; For PPCAsm - use with "INCLUDE  AsmGlobal.s"
	
	; MakeFunction :
	;	Macro to make function entry and transition vector for a function 
	MACRO
	MakeFunction &fnName
		EXPORT &fnName[DS]
	 	EXPORT .&fnName[PR]
		
		TC &fnName[TC], &fnName[DS]
			
		CSECT &fnName[DS]
			DC.L .&fnName[PR]
	 		DC.L TOC[tc0]
		
		CSECT .&fnName[PR]
			FUNCTION .&fnName[PR]	
	ENDM

	; MakeImport :
	; 	Macro to import a global variable reference
	MACRO
	MakeImport &varName
		IMPORT &varName
	
		TC &varName[TC],&varName
	ENDM
